Bug 476146 - Configuration not maintained from F9 -> F10 upgrade
Configuration not maintained from F9 -> F10 upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 23:38 EST by Stephen Warren
Modified: 2009-05-15 07:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 07:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /etc/cups from F9. (4.87 KB, application/x-bzip)
2008-12-21 13:45 EST, Stephen Warren
no flags Details
Content of /var/log/cups from F9 (1.70 KB, application/x-bzip-compressed-tar)
2008-12-23 23:35 EST, Stephen Warren
no flags Details

  None (edit)
Description Stephen Warren 2008-12-11 23:38:21 EST
Description of problem:
I had F9 installed on my laptop. I had two printers configured and working fine. I upgraded to F10 (using preupgrade, which should be just the same as using a CD/DVD). After the upgrade, Fedora had completely forgotten about my previously configured printers; I had to use system-config-printer to recreate the printers.

Version-Release number of selected component (if applicable):
cups-1.3.9-4.fc10.i386

How reproducible:
Only attempted once so far.
Comment 1 Tim Waugh 2008-12-12 05:18:41 EST
What does 'ls -l /etc/cups' say?
Comment 2 Stephen Warren 2008-12-13 18:01:54 EST
FYI, I have recreated the printers already if it makes any difference.

[swarren@esk ~]$ ls -l /etc/cups
total 72
-rw------- 1 root lp     82 2008-12-11 21:22 classes.conf
-rw------- 1 root lp      0 2008-12-03 05:49 classes.conf.O
-rw-r--r-- 1 root lp      0 2008-12-03 05:49 client.conf
-rw-r----- 1 root lp   1630 2008-12-11 21:09 cupsd.conf
-rw-r----- 1 root lp   2487 2008-12-03 05:49 cupsd.conf.default
-rw-r----- 1 root lp   1630 2008-12-11 21:09 cupsd.conf.O
drwxr-xr-x 2 root root 4096 2008-12-03 05:49 interfaces
-rw-r--r-- 1 root lp      0 2008-12-03 05:49 lpoptions
-rw-r--r-- 1 root root 4531 2008-12-03 05:49 mime.convs
-rw-r--r-- 1 root root 6298 2008-12-03 05:49 mime.types
-rw-r--r-- 1 root lp    215 2008-12-03 05:49 pdftops.conf
drwxr-xr-x 2 root lp   4096 2008-12-11 21:27 ppd
-rw------- 1 root lp    707 2008-12-11 21:40 printers.conf
-rw------- 1 root lp    707 2008-12-11 21:35 printers.conf.O
-rw-r--r-- 1 root root  947 2008-12-03 05:49 pstoraster.convs
-rw-r--r-- 1 root lp    186 2008-12-03 05:49 snmp.conf
drwx------ 2 root lp   4096 2008-12-03 05:49 ssl
-rw-r----- 1 root lp    111 2008-12-13 08:51 subscriptions.conf
-rw-r----- 1 root lp   1081 2008-12-11 21:44 subscriptions.conf.O
Comment 3 Tim Waugh 2008-12-14 06:59:57 EST
OK, too late I think. :-(

Do you have a backup from before the upgrade?
Comment 4 Stephen Warren 2008-12-14 14:46:45 EST
Yes, I have a complete disk image of all my partitions - I learned the hard way:-)

What do you want to see?
Comment 5 Tim Waugh 2008-12-14 15:09:01 EST
It would be great if you could attach the complete contents of /etc/cups to this bug report, so I can try to reproduce the problem.  Thanks.
Comment 6 Stephen Warren 2008-12-21 13:45:43 EST
Created attachment 327589 [details]
Contents of /etc/cups from F9.

Attaching contents of /etc/cups from F9.

Note: It looks like the printer definitions had already disappeared by this time, so the issue is nothing to do with the F9->F10 upgrade.

I notice that all the files in /etc/cups have date/time-stamp of "2008-10-10 02:49". I doubt my machine was on at that time. However, yum.log does show some cups-related upgrades that I performed in F9 after the backup and before the F10 preupgrade. Could those have included /etc/cups files with those date/time-stamps, and be the real cause of the problem?

grep cups ...../var/log/yum.log
Oct 11 16:43:23 Updated: 1:cups-libs-1.3.8-2.fc9.i386
Oct 11 16:49:50 Updated: 1:cups-1.3.8-2.fc9.i386
Oct 11 16:50:39 Updated: bluez-utils-cups-3.35-5.fc9.i386
Oct 16 20:36:52 Updated: 1:cups-libs-1.3.9-1.fc9.i386
Oct 16 20:37:05 Updated: 1:cups-1.3.9-1.fc9.i386
Nov 19 21:55:13 Updated: bluez-utils-cups-3.36-1.fc9.i386

...../var/log/cups/* doesn't show anything particularly interesting. The only relevant thing may be:

I [16/Oct/2008:20:38:43 -0600] Full reload is required.

However, I suspect this is just cupsd loading its in-memory cache of the configuration at startup, not something saying that it's regenerating all the config files on disk.
Comment 7 Tim Waugh 2008-12-22 08:39:48 EST
, I think that datestamp comes from the files in the cups-1.3.9-1.fc9.i386 package -- however, they are marked as %config(noreplace) files so that if you have a printers.conf that has been modified since installation, the new file is named printers.conf.rpmnew.

Also strange is that you have no files at all in /etc/cups/ppd.  We ship a directory /etc/cups/ppd in the RPM, but for that to end up empty after the package upgrade means that something has actually *deleted* those files.

Can you supply the full error_log file covering the period before and after the cups-1.3.9-1.fc9.i386 upgrade please?
Comment 8 Stephen Warren 2008-12-23 23:35:41 EST
Created attachment 327787 [details]
Content of /var/log/cups from F9
Comment 9 Tim Waugh 2009-05-15 07:45:55 EDT
Earliest log entry is from just after 1.3.9 was installed, so there's really nothing to go on. :-/

Note You need to log in before you can comment on or make changes to this bug.